package models

import (
	"eta/eta_data_push/utils"
)

// 指标数据->基础数据表
func GetBaseDataTableName(source int) (tableName string) {
	switch source {
	case utils.DATA_SOURCE_THS:
		tableName = "edb_data_ths"
	case utils.DATA_SOURCE_PB, utils.DATA_SOURCE_PB_FINANCE:
		tableName = "edb_data_pb"
	case utils.DATA_SOURCE_EIA_STEO:
		tableName = "base_from_eia_steo_data"
	default:
		tableName = ""
	}
	return
}

// 指标数据->基础指标表
func GetBaseIndexTableName(source int) (tableName string) {
	switch source {
	case utils.DATA_SOURCE_THS:
		tableName = "edb_info"
	case utils.DATA_SOURCE_PB, utils.DATA_SOURCE_PB_FINANCE:
		tableName = "edb_info"
	case utils.DATA_SOURCE_ZZ:
		tableName = "base_from_trade_zhengzhou_index"
	case utils.DATA_SOURCE_DL:
		tableName = "base_from_trade_dalian_index"
	case utils.DATA_SOURCE_SH:
		tableName = "base_from_trade_shanghai_index"
	case utils.DATA_SOURCE_CFFEX:
		tableName = "base_from_trade_cffex_index"
	case utils.DATA_SOURCE_SHFE:
		tableName = "base_from_trade_ine_index"
	case utils.DATA_SOURCE_GOOGLE_TRAVEL:
		tableName = "base_from_changes_visitors_covid"
	case utils.DATA_SOURCE_EIA_STEO:
		tableName = "base_from_eia_steo_index"
	default:
		tableName = ""
	}
	return
}
